/******************************************************************************
*
* project name:   TI-TimeWaste
* file name:      config.c
* initial date:   02/01/2001
* author:         thomas.nussbaumer@gmx.net
* description:    A Five-in-a-Row Solitaire Game
*
* $Id: logo.c,v 1.2 2002/11/18 10:22:26 nussbaumer Exp $
*
******************************************************************************/

//#define __STANDALONE__

#define ANIM_HEIGHT         60
#define ANIM_WIDTH          72
#define ANIM_FRAMES         6
#define ANIM_PLANES         2
#define ANIM_SIZE_IN_BYTES  ((ANIM_WIDTH/8) * ANIM_HEIGHT * ANIM_FRAMES * ANIM_PLANES)

#ifdef __STANDALONE__
#define SAVE_SCREEN
#include <tigcclib.h>
#endif

//-----------------------------------------------------------------------------
// each frame is 72 * 60 pixels large (2 planes)
//
// the data is arranged this way:
//
// frame 1 plane 1
// frame 1 plane 2
// frame 2 plane 1
// frame 2 plane 2
// frame 3 plane 1
// frame 3 plane 2
// .....
// .....
//
//-----------------------------------------------------------------------------

unsigned char data[ANIM_SIZE_IN_BYTES] = {
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x00,0x00,0x0a,0xff,0xff,0xff,
0xff,0xd0,0x0a,0xff,0xdb,0xff,0xf8,0x0f,0xff,0xff,0xff,0xff,0xc0,0x00,0x00,0x01,0xcf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xef,0xff,
0xff,0xff,0xff,0xe4,0x88,0x0a,0xb7,0x8f,0xff,0xff,0xff,0xfd,0xe0,0x7f,0xf8,0x3c,0x0f,0xff,0xff,0xa4,0x9b,0xe0,0x9f,0x8d,0x1c,0x0f,0xff,
0xff,0x74,0xf7,0xe0,0x7f,0xb8,0x5d,0x8f,0xff,0xff,0xf4,0xfb,0xe0,0x1f,0xa0,0x1c,0x8f,0xff,0xfe,0xf4,0xfb,0xe0,0x1f,0xc0,0x1e,0x0f,0xff,
0xfe,0xfc,0x7d,0xe0,0x1f,0xc0,0x1f,0xcf,0xff,0xff,0xfc,0xff,0xe0,0x1f,0xc0,0x1e,0x4f,0xff,0xff,0xfc,0xff,0xe0,0x0f,0xc0,0x1e,0x6f,0xff,
0xff,0xfc,0x3f,0xe0,0x1f,0xc0,0x1f,0xdf,0xff,0xff,0xfc,0xbf,0xe0,0x0f,0xc0,0x1e,0xdf,0xff,0xff,0xfc,0x3f,0xc0,0x0f,0xc0,0x1e,0xdf,0xff,
0xff,0xfc,0x3f,0xc0,0x0f,0xc0,0x1e,0x7f,0xff,0xff,0xf8,0x3f,0xc0,0x0f,0xc0,0x1f,0xdf,0xff,0xff,0xf8,0x3f,0xc0,0x0f,0xc0,0x0f,0x7f,0xff,
0xff,0xf8,0x7f,0xc0,0x0f,0xc0,0x0d,0x5f,0xff,0xff,0xf8,0x7f,0xc0,0x0f,0xc0,0x0d,0x1f,0xff,0xff,0xf8,0x7f,0xc0,0x0f,0xc0,0x0d,0x1f,0xff,
0xff,0xf8,0x7f,0xe0,0x0f,0xc0,0x0f,0x1f,0xff,0xff,0xf4,0x5f,0xe0,0x0f,0x40,0x1c,0x3f,0xff,0xff,0xfe,0x67,0xe0,0x0f,0x80,0x1c,0x3f,0xff,
0xfe,0x7f,0xff,0xe0,0x17,0x00,0x1c,0x3f,0xff,0xff,0x06,0xff,0xe0,0x6f,0xc0,0x1c,0x3f,0xff,0xfe,0x00,0x0d,0xf0,0x0c,0x10,0x19,0xbf,0xff,
0xfe,0x02,0xc0,0x62,0x01,0x40,0x18,0xbf,0xff,0xff,0x1b,0x0c,0x3f,0xc5,0x80,0x1d,0xff,0xff,0xff,0x0e,0xb2,0xbf,0xff,0xc8,0x36,0x7f,0xff,
0xfe,0x1e,0x0b,0x3c,0x1f,0xff,0x95,0xff,0xff,0xfe,0x7e,0x05,0x39,0xf9,0xff,0xf8,0xff,0xff,0xfe,0x38,0x02,0xb9,0x40,0x66,0xfd,0x7f,0xff,
0xfe,0x38,0x00,0xb8,0xe0,0x10,0x7c,0x7f,0xff,0xff,0x3c,0x00,0x1b,0xf0,0x74,0x7c,0x7f,0xff,0xff,0x3c,0x00,0x1d,0xf0,0x7a,0xe4,0x7f,0xff,
0xff,0xf8,0x00,0x1f,0xf0,0x7d,0x64,0x7f,0xff,0xff,0xf8,0x00,0x1f,0xf0,0x7d,0xed,0xff,0xff,0xff,0x9e,0x00,0x0f,0xf0,0x7e,0xef,0xff,0xff,
0xff,0xbe,0x00,0x0f,0xf0,0x7f,0xe3,0xff,0xff,0xff,0x0c,0x00,0x0f,0xf0,0xff,0xe3,0xff,0xff,0xff,0x05,0x00,0x0f,0xf0,0xff,0xe3,0xff,0xff,
0xff,0x09,0x80,0x0f,0xf0,0xff,0xe5,0xff,0xff,0xff,0x03,0x23,0x8f,0xf0,0xff,0xe5,0xff,0xff,0xff,0xcd,0x81,0x0f,0xf0,0xff,0xe3,0xff,0xff,
0xff,0xfc,0xb4,0x0f,0xf0,0xff,0xe7,0xff,0xff,0xff,0xff,0xc8,0x0f,0xe0,0xff,0xe7,0xff,0xff,0xff,0xff,0xfc,0x6f,0xe0,0xff,0xf7,0xff,0xff,
0xff,0xff,0xff,0xdf,0xd0,0x7f,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xf9,0x1f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xdf,0xcf,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xf5,0x00,0x00,0x00,0x07,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xc0,0x00,0x00,0x0f,0xdf,0xff,
0xff,0xff,0xff,0xc0,0x00,0x00,0x0f,0xff,0xff,0xfe,0x00,0x03,0xc0,0x00,0x00,0x0f,0xff,0xff,0xfe,0x78,0x61,0xc0,0x7f,0xf0,0x0f,0xff,0xff,
0xfe,0xf8,0x79,0xc0,0x0f,0xc0,0x0e,0xff,0xff,0xfe,0xf8,0x7d,0xc0,0x0f,0xc0,0x0f,0xff,0xff,0xff,0xf8,0x7d,0xc0,0x0f,0x80,0x0f,0xff,0xff,
0xff,0xf8,0x7f,0xc0,0x0f,0x80,0x0e,0xbf,0xff,0xff,0xf8,0x7f,0xc0,0x0f,0x80,0x0f,0xbf,0xff,0xff,0xf8,0x7f,0xc0,0x0f,0x80,0x0f,0x9f,0xff,
0xff,0xf8,0x7f,0xc0,0x0f,0x80,0x0e,0xbf,0xff,0xff,0xf8,0x7f,0xc0,0x0f,0x80,0x0f,0xbf,0xff,0xff,0xf8,0x7f,0xe0,0x0f,0x80,0x0f,0xbf,0xff,
0xff,0xf8,0x7f,0xe0,0x0f,0x80,0x0f,0x9f,0xff,0xff,0xfc,0x7f,0xe0,0x0f,0x80,0x0f,0xbf,0xff,0xff,0xfc,0x7f,0xe0,0x0f,0x80,0x1f,0x9f,0xff,
0xff,0xfc,0x3f,0xe0,0x0f,0x80,0x1f,0xbf,0xff,0xff,0xfc,0x3f,0xe0,0x0f,0x80,0x1f,0xff,0xff,0xff,0xfc,0x3f,0xe0,0x0f,0x80,0x1f,0xff,0xff,
0xff,0xfc,0x3f,0xe0,0x0f,0x80,0x1d,0xff,0xff,0xff,0xf8,0x3f,0xe0,0x0f,0x80,0x1f,0xff,0xff,0xff,0xff,0x9f,0xe0,0x0f,0x80,0x1f,0xff,0xff,
0xff,0xff,0xff,0xe0,0x0f,0x80,0x1f,0xff,0xff,0xfe,0x01,0xff,0xe0,0x1f,0x80,0x1f,0xff,0xff,0xfe,0x00,0x03,0xe0,0x03,0xe0,0x1e,0xff,0xff,
0xfe,0x00,0x00,0x1c,0x00,0x00,0x1f,0xff,0xff,0xfe,0x07,0xf0,0x1f,0xf8,0x00,0x1a,0xff,0xff,0xfe,0x1f,0x0d,0x1f,0xff,0xf0,0x19,0xff,0xff,
0xff,0x3c,0x07,0x1f,0xff,0xff,0xf8,0xff,0xff,0xff,0x3c,0x03,0x1c,0x07,0xff,0xf5,0xff,0xff,0xff,0x7c,0x01,0x1c,0xf0,0x1f,0xf0,0xff,0xff,
0xff,0x7c,0x01,0x1d,0xf0,0x60,0xf1,0xff,0xff,0xff,0x78,0x00,0x1d,0xf0,0x78,0xf1,0xff,0xff,0xff,0x78,0x00,0x1f,0xf0,0x7c,0xf9,0xff,0xff,
0xff,0x3c,0x00,0x1f,0xf0,0x7e,0xf9,0xff,0xff,0xff,0x3c,0x00,0x1f,0xf0,0x7e,0xf9,0xff,0xff,0xff,0x3c,0x00,0x1f,0xf0,0x7f,0xf9,0xff,0xff,
0xff,0x1c,0x00,0x1f,0xf0,0x7f,0xf9,0xff,0xff,0xff,0x9e,0x00,0x1f,0xf0,0x7f,0xf9,0xff,0xff,0xff,0x8e,0x00,0x1f,0xf0,0x7f,0xf9,0xff,0xff,
0xff,0x87,0x00,0x1f,0xf0,0x7f,0xfb,0xff,0xff,0xff,0x81,0xc0,0x1f,0xf0,0x7f,0xfb,0xff,0xff,0xff,0xf0,0x7e,0x1f,0xf0,0x7f,0xff,0xff,0xff,
0xff,0xff,0x00,0x1f,0xf0,0x7f,0xff,0xff,0xff,0xff,0xff,0xf0,0x1f,0xf0,0x7f,0xff,0xff,0xff,0xff,0xff,0xff,0x9f,0xf0,0x7f,0xef,0xff,0xff,
0xff,0xff,0xff,0xff,0xe0,0x7f,0xef,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x7f,0xef,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf4,0x02,0xa0,0x2a,0xdf,0xff,0xff,
0xff,0xc0,0x1f,0xff,0xff,0xff,0xff,0x1f,0xff,0xff,0xff,0xff,0xff,0x80,0x00,0x00,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x90,0x00,0x07,0xff,0xff,0xff,0xff,0xff,0xff,0xbf,0xff,0xff,0xeb,0x1f,0xcf,0xff,0xff,
0xff,0xb7,0x47,0xbf,0xdf,0xff,0xbf,0xff,0xff,0xff,0xaf,0x4f,0xff,0xd5,0xef,0xff,0xff,0xff,0xff,0xff,0xc7,0xff,0xdb,0xef,0xff,0xff,0xff,
0xff,0xdf,0xc7,0xf7,0xd6,0xaf,0xff,0xff,0xff,0xff,0xff,0xc7,0xff,0xc1,0xef,0xff,0xef,0xff,0xff,0xff,0x87,0xff,0xc9,0x6f,0xff,0xef,0xff,
0xff,0xff,0xc3,0xff,0xc0,0x7f,0xff,0xef,0xff,0xff,0xff,0xe3,0xff,0xc0,0x7f,0xff,0xff,0xff,0xff,0xff,0xc3,0xff,0xc0,0x3f,0x7f,0xff,0xff,
0xff,0xff,0xc3,0xff,0xc0,0x3f,0x7f,0xff,0xff,0xff,0xff,0xc1,0xff,0xc0,0x3f,0x5f,0xff,0xff,0xff,0xff,0xc1,0xff,0x80,0x3f,0x5f,0xff,0xff,
0xff,0xff,0xc1,0xff,0x80,0x3f,0x5b,0xff,0xff,0xff,0xff,0x81,0xff,0xc0,0x3f,0x57,0xff,0xff,0xff,0xff,0x81,0xff,0x80,0x1f,0x5b,0xff,0xff,
0xff,0xff,0x81,0xff,0x80,0x3f,0x56,0xff,0xff,0xff,0xff,0x83,0xff,0x80,0x3f,0xe5,0xdf,0xff,0xff,0xff,0x42,0xff,0x80,0x3f,0xe6,0xdf,0xff,
0xff,0xfe,0x7f,0xbf,0x80,0x7f,0x55,0xdf,0xff,0xff,0xff,0xff,0xff,0x80,0x1f,0xb6,0xff,0xff,0xff,0xff,0xff,0xff,0x80,0x1f,0xfb,0x7f,0xff,
0xff,0xc0,0x00,0xf0,0x40,0x5d,0xd5,0xff,0xff,0xff,0x80,0x00,0x00,0xff,0xfe,0x07,0xff,0xff,0xff,0x80,0x21,0x84,0xff,0xff,0xff,0xff,0xff,
0xff,0xc1,0x70,0x18,0xf7,0xff,0xff,0xff,0xff,0xff,0xc3,0xd8,0x78,0xe9,0xe3,0xc1,0xff,0xff,0xff,0x85,0xe0,0x2c,0xf3,0xc1,0x1f,0xff,0xff,
0xff,0x8b,0xc0,0x04,0xeb,0xe1,0xf7,0xff,0xff,0xff,0x87,0xc0,0x08,0xeb,0xe1,0xfb,0xff,0xff,0xff,0xcf,0x80,0x04,0xf7,0xe1,0xff,0xff,0xff,
0xff,0xcf,0x00,0x00,0xff,0xc1,0xfd,0xff,0xff,0xff,0xcf,0x00,0x00,0xff,0xc1,0xff,0xff,0xff,0xff,0xcf,0x80,0x00,0xff,0xc1,0xff,0xff,0xff,
0xff,0xcf,0x00,0x00,0xff,0xc1,0xff,0xff,0xff,0xff,0xe7,0xc0,0x00,0xff,0xc1,0xff,0xff,0xff,0xff,0xe7,0xc0,0x00,0xff,0xc1,0xff,0xff,0xff,
0xff,0xc3,0xa0,0x00,0xff,0xc1,0xff,0xff,0xff,0xff,0xc1,0xc0,0x00,0xff,0xc0,0xff,0xff,0xff,0xff,0xc2,0xf0,0x0c,0xff,0xc0,0xff,0xff,0xff,
0xff,0xc0,0xb4,0x24,0x7f,0xc0,0xff,0xff,0xff,0xff,0xc0,0x30,0x10,0xff,0xe0,0xff,0xff,0xff,0xff,0xee,0x0f,0xa0,0x7f,0xa0,0xff,0xff,0xff,
0xff,0xff,0xf0,0x7c,0xff,0x8f,0xbf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xe0,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x80,0x00,0x00,0x0f,0xff,
0xff,0xff,0xff,0xff,0x80,0x00,0x00,0x0f,0xff,0xff,0xef,0xff,0xff,0x80,0x00,0x00,0x0f,0xff,0xff,0xc0,0x00,0x07,0x80,0xff,0xf0,0x0f,0xff,
0xff,0xcf,0x83,0xc7,0x80,0x1f,0xc0,0x0f,0xff,0xff,0xdf,0x83,0xe7,0x80,0x1f,0x80,0x0f,0xff,0xff,0xdf,0x83,0xf7,0x80,0x1f,0x80,0x0f,0xff,
0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x0f,0xff,0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,
0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,
0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,
0xff,0xff,0x83,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0xc3,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0xc3,0xff,0x80,0x1f,0x80,0x1f,0xff,
0xff,0xff,0xc3,0xff,0x80,0x1f,0x80,0x1f,0xff,0xff,0xff,0xc1,0xff,0x80,0x1f,0x00,0x3f,0xff,0xff,0xff,0x81,0xff,0x80,0x1f,0x00,0x3f,0xff,
0xff,0xff,0x80,0x7f,0x80,0x1f,0x80,0x3f,0xff,0xff,0xff,0xff,0xff,0x80,0xff,0xc0,0x3f,0xff,0xff,0xff,0xff,0xff,0x80,0x00,0x00,0x3f,0xff,
0xff,0x80,0x00,0x0f,0x80,0x00,0x00,0x3f,0xff,0xff,0x80,0x00,0x00,0x7f,0xff,0xf8,0x3f,0xff,0xff,0x80,0x1e,0x00,0x7f,0xff,0xff,0xff,0xff,
0xff,0x80,0xff,0xe4,0x7f,0xff,0xff,0xff,0xff,0xff,0x81,0xe0,0x1c,0x70,0x00,0x3f,0xff,0xff,0xff,0xc3,0xc0,0x1c,0x71,0xe0,0xe1,0xff,0xff,
0xff,0xc7,0x80,0x0c,0x77,0xe0,0xf9,0xff,0xff,0xff,0xcf,0x80,0x04,0x77,0xe0,0xfd,0xff,0xff,0xff,0xcf,0x80,0x00,0x7f,0xe0,0xfd,0xff,0xff,
0xff,0xcf,0x80,0x00,0x7f,0xe0,0xff,0xff,0xff,0xff,0xcf,0x80,0x00,0x7f,0xe0,0xff,0xff,0xff,0xff,0xcf,0x80,0x00,0x7f,0xe0,0xff,0xff,0xff,
0xff,0xcf,0x80,0x00,0x7f,0xe0,0xff,0xff,0xff,0xff,0xcf,0x80,0x00,0x7f,0xe0,0xff,0xff,0xff,0xff,0xc7,0x80,0x00,0x7f,0xe0,0xff,0xff,0xff,
0xff,0xe7,0xc0,0x00,0x7f,0xe0,0xff,0xff,0xff,0xff,0xe3,0xe0,0x00,0x7f,0xe1,0xff,0xff,0xff,0xff,0xe1,0xe0,0x00,0x7f,0xe1,0xff,0xff,0xff,
0xff,0xe0,0x78,0x18,0x7f,0xe1,0xff,0xff,0xff,0xff,0xe0,0x0f,0xe0,0x7f,0xc1,0xff,0xff,0xff,0xff,0xf0,0x00,0x00,0x7f,0xc1,0xff,0xff,0xff,
0xff,0xff,0xff,0x80,0x7f,0xf0,0x7f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xaa,0xaa,0x80,0x0a,0x8f,0xff,0xff,
0xff,0xf9,0xff,0xff,0xff,0xff,0xfd,0x03,0xff,0xff,0xf1,0x5d,0xff,0xff,0x01,0x57,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x7f,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xbf,0xff,0xa4,0x7f,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x7f,0x3f,0x7f,
0xff,0xff,0xdd,0xf7,0x7f,0xff,0xbe,0xff,0xff,0xff,0xff,0xbf,0xf7,0xff,0xff,0xfe,0xff,0x7f,0xff,0xff,0x7f,0xf7,0xdf,0xff,0xff,0xff,0x7f,
0xff,0xff,0x7f,0xf7,0xef,0xff,0xff,0xff,0x7f,0xff,0xfe,0xff,0xf7,0xee,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xfe,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xf7,0xfe,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xfe,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xfe,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xb7,0xfe,0xff,0xbd,0xff,0xff,0xff,0xff,0xff,0xf7,0xfe,0xff,0xbd,0xff,0xff,0xff,0xff,0xff,0xbf,0xfe,0xff,0xbd,0xfe,0xff,
0xff,0xff,0xff,0xdf,0xfe,0xff,0xbd,0xfe,0xff,0xff,0xff,0xff,0x9f,0xfe,0xff,0xbd,0xfe,0xff,0xff,0xff,0xfe,0x1f,0xfe,0xff,0xbd,0xfe,0xff,
0xff,0xff,0xfe,0x0f,0xfe,0xff,0xfd,0xff,0xff,0xff,0xff,0xfe,0x8f,0xfe,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x8f,0xfe,0xff,0xfd,0xff,0xff,
0xff,0xff,0xfd,0x0b,0xfe,0xfe,0x7e,0x7f,0xff,0xff,0xff,0xf3,0xf8,0xfe,0xbf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfd,0xff,
0xff,0xff,0xff,0xff,0xfe,0xc1,0xff,0xff,0xff,0xff,0xfe,0x07,0xfd,0xfe,0xff,0xff,0xff,0xff,0xff,0xfa,0x00,0x00,0x13,0xff,0xff,0xaf,0xff,
0xff,0xfc,0x00,0xc1,0xeb,0xdf,0xff,0xff,0xff,0xff,0xfc,0x02,0xe0,0x3b,0xd9,0x7f,0xbf,0xff,0xff,0xfc,0x0b,0xa1,0xbb,0xf7,0xfb,0xdf,0xff,
0xff,0xfc,0x17,0x80,0x5b,0xcf,0xfb,0xef,0xff,0xff,0xfc,0x2f,0x00,0x23,0xdf,0xfb,0xff,0xff,0xff,0xfc,0x1c,0x00,0x03,0xff,0x7b,0xff,0xff,
0xff,0xfe,0x3c,0x00,0x13,0xff,0x7b,0xff,0xff,0xff,0xfe,0x3e,0x00,0x03,0xff,0x6f,0xff,0xff,0xff,0xfe,0xfe,0x00,0x03,0xff,0x7f,0xff,0xff,
0xff,0xfc,0xfe,0x00,0x03,0xff,0x5f,0xff,0xff,0xff,0xfc,0xfe,0x00,0x03,0xff,0x7f,0xff,0xff,0xff,0xfc,0xfe,0x00,0x03,0xff,0x3f,0xff,0xff,
0xff,0xfe,0x3c,0x00,0x03,0xff,0xdf,0xff,0xff,0xff,0xfc,0x3c,0x00,0x03,0xff,0xff,0xff,0xff,0xff,0xfe,0x5f,0x00,0x13,0xff,0xbf,0xff,0xff,
0xff,0xfc,0x2e,0x80,0x43,0xff,0xdb,0xff,0xff,0xff,0xfe,0x17,0x40,0x83,0xfe,0xf9,0xff,0xff,0xff,0xfe,0x09,0xc0,0x03,0xff,0xff,0xff,0xff,
0xff,0xff,0x01,0x87,0x03,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x7f,0x07,0xff,0xff,0xff,0xff,0xff,0xfe,0xe0,0xaf,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xfe,0x00,0x00,0x00,0x00,0x02,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0xff,
0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x7f,0xff,0xff,0xff,0xff,0xff,0x00,0x5b,0x80,0x7f,0xff,0xfe,0x00,0x00,0x0f,0x01,0xff,0xc0,0xff,
0xff,0xfe,0x3e,0x0f,0x8f,0x00,0x7f,0x00,0x7f,0xff,0xfe,0x7e,0x0f,0xcf,0x00,0x3f,0x00,0xff,0xff,0xfe,0xfe,0x0f,0xef,0x00,0x3e,0x00,0xff,
0xff,0xfe,0xfe,0x0f,0xff,0x00,0x3e,0x00,0xff,0xff,0xff,0xfe,0x0f,0xff,0x00,0x3e,0x00,0xff,0xff,0xff,0xfe,0x0f,0xff,0x00,0x3e,0x00,0xff,
0xff,0xff,0xfe,0x0f,0xff,0x00,0x3e,0x00,0xff,0xff,0xff,0xfe,0x0f,0xff,0x00,0x3e,0x00,0xff,0xff,0xff,0xfe,0x0f,0xff,0x00,0x3e,0x00,0xff,
0xff,0xff,0xfe,0x0f,0xff,0x00,0x7e,0x00,0xff,0xff,0xff,0xfe,0x0f,0xff,0x00,0x7e,0x00,0xff,0xff,0xff,0xfe,0x07,0xff,0x00,0x7e,0x01,0xff,
0xff,0xff,0xfe,0x07,0xff,0x00,0x7e,0x01,0xff,0xff,0xff,0xfe,0x07,0xff,0x00,0x7e,0x01,0xff,0xff,0xff,0xff,0x07,0xff,0x00,0x7e,0x01,0xff,
0xff,0xff,0xff,0x07,0xff,0x00,0x7e,0x01,0xff,0xff,0xff,0xff,0x07,0xff,0x00,0x7c,0x01,0xff,0xff,0xff,0xff,0x07,0xff,0x00,0x7e,0x01,0xff,
0xff,0xff,0xfe,0x07,0xff,0x01,0xff,0x81,0xff,0xff,0xff,0xfc,0x07,0xff,0x00,0x00,0x01,0xff,0xff,0xff,0xff,0xff,0xfe,0x00,0x00,0x03,0xff,
0xff,0xff,0xff,0xff,0xff,0x3f,0xff,0xff,0xff,0xff,0xff,0xf8,0x00,0x01,0xff,0xff,0xff,0xff,0xff,0xfc,0x00,0x00,0x01,0xff,0xff,0xff,0xff,
0xff,0xfc,0x00,0x3e,0x11,0xe0,0x00,0x0f,0xff,0xff,0xfc,0x01,0xff,0xf1,0xe7,0x83,0xcf,0xff,0xff,0xfc,0x07,0xc0,0x71,0xcf,0x87,0xef,0xff,
0xff,0xfc,0x0f,0x00,0x31,0xff,0x87,0xff,0xff,0xff,0xfc,0x1e,0x00,0x11,0xff,0x87,0xff,0xff,0xff,0xfc,0x3e,0x00,0x11,0xff,0x87,0xff,0xff,
0xff,0xfc,0x7e,0x00,0x01,0xff,0x87,0xff,0xff,0xff,0xfc,0x7c,0x00,0x01,0xff,0x87,0xff,0xff,0xff,0xfc,0x7c,0x00,0x01,0xff,0x87,0xff,0xff,
0xff,0xfe,0x7c,0x00,0x01,0xff,0x87,0xff,0xff,0xff,0xfe,0x7c,0x00,0x01,0xff,0x87,0xff,0xff,0xff,0xfe,0x7c,0x00,0x01,0xff,0x87,0xff,0xff,
0xff,0xfe,0x7e,0x00,0x01,0xff,0x07,0xff,0xff,0xff,0xfe,0x7e,0x00,0x01,0xff,0x07,0xff,0xff,0xff,0xfe,0x3e,0x00,0x01,0xff,0x07,0xff,0xff,
0xff,0xfe,0x1f,0x00,0x31,0xff,0x07,0xff,0xff,0xff,0xfe,0x0f,0x80,0x61,0xff,0x07,0xff,0xff,0xff,0xfe,0x07,0xff,0x81,0xff,0xff,0xff,0xff,
0xff,0xfe,0x00,0x78,0x01,0xff,0xff,0xff,0xff,0xff,0xfe,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x1f,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xea,0x00,0x00,0xff,0xff,0xff,
0xff,0xf3,0xff,0xff,0xff,0xff,0xfc,0x01,0xff,0xff,0xfc,0x00,0x00,0xbf,0xfe,0x7c,0x00,0x1f,0xff,0xf4,0x1f,0xff,0xff,0xfd,0xff,0xff,0xff,
0xff,0xfc,0x7f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf9,0x5f,0xff,0xff,0xff,0xf8,0xb3,0xff,0xff,0xf9,0x5e,0xff,0xfb,0xff,0xf9,0xf7,0xff,
0xff,0xf9,0x5f,0xe1,0xff,0x7f,0xff,0xef,0xff,0xff,0xf9,0x5f,0xbd,0xff,0xbf,0xff,0xef,0xff,0xff,0xf9,0xdf,0x7d,0xff,0x9f,0xff,0xff,0xdf,
0xff,0xf9,0xff,0xfd,0xff,0xdf,0xff,0xff,0xdf,0xff,0xfd,0x7e,0xfd,0xff,0xff,0xff,0xff,0xdf,0xff,0xfb,0x7e,0xfd,0xff,0xff,0xff,0xff,0xff,
0xff,0xfb,0x7f,0xfd,0xff,0xff,0xfd,0xff,0xff,0xff,0xfb,0x7f,0xff,0xff,0xff,0xfd,0xff,0xff,0xff,0xff,0x7f,0xff,0xff,0xff,0xfd,0xdf,0xff,
0xff,0xff,0x3f,0xff,0xff,0xff,0xfd,0xdf,0xff,0xff,0xfe,0xaf,0xff,0xff,0xff,0xfd,0xdf,0xff,0xff,0xfe,0x2f,0xff,0xff,0xff,0xfd,0xdf,0xff,
0xff,0xf8,0xaf,0xff,0xff,0xff,0xff,0xdf,0xbf,0xff,0xf8,0xaf,0xff,0xff,0xff,0xff,0xff,0xbf,0xff,0xf8,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xf8,0xaf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf8,0xaf,0xff,0xff,0xfb,0xff,0xdf,0xff,0xff,0xfa,0xaf,0xff,0xff,0xfb,0xf6,0x3d,0xff,
0xff,0xfe,0x3f,0xfd,0xf7,0xfb,0xff,0xff,0x7f,0xff,0xff,0x3f,0xfd,0xf1,0xfb,0xff,0x1f,0xff,0xff,0xfd,0x3f,0xf0,0x7f,0xfb,0x9f,0xff,0xff,
0xff,0xfd,0x1f,0xff,0xff,0xcb,0xff,0xf1,0xff,0xff,0xfd,0x1f,0xff,0xcf,0xff,0xfd,0xff,0xff,0xff,0xfd,0x0f,0xe7,0xff,0xff,0x7f,0xbd,0xff,
0xff,0xfc,0x0b,0xff,0xff,0xbf,0xdb,0xb9,0xff,0xff,0xfc,0x44,0x0b,0x6b,0xdf,0xba,0xbf,0xff,0xff,0xfd,0x04,0x2f,0xbe,0xff,0x7f,0xff,0xff,
0xff,0xfd,0x84,0x17,0xef,0x7f,0x7e,0xff,0xff,0xff,0xfd,0x84,0x2f,0xd5,0xbf,0xfd,0xff,0xff,0xff,0xff,0xa4,0x5d,0x55,0xff,0xfc,0xff,0xff,
0xff,0xfe,0xfc,0x3e,0x14,0x5f,0xfc,0xff,0xff,0xff,0xfe,0xbc,0xb8,0x15,0x5f,0xfc,0xff,0xff,0xff,0xff,0xfc,0x7e,0x00,0x5f,0xfd,0xff,0xff,
0xff,0xff,0x79,0xfe,0x02,0x57,0xff,0xff,0xff,0xff,0xff,0xd9,0xfc,0x00,0x5f,0xfd,0xff,0xff,0xff,0xff,0xd9,0xfc,0x02,0x57,0xfd,0x7f,0xff,
0xff,0xff,0xd9,0xfc,0x00,0x57,0xf6,0x7f,0xff,0xff,0xff,0xd9,0xf8,0x00,0x57,0xf7,0xbf,0xff,0xff,0xff,0xc9,0x7a,0x00,0xf7,0xec,0xff,0xff,
0xff,0xff,0xe9,0x7e,0x01,0x77,0xff,0xff,0xff,0xff,0xff,0xe8,0xfd,0x06,0xd7,0xff,0xff,0xff,0xff,0xff,0xe8,0x1e,0xf9,0xd7,0xff,0xff,0xff,
0xff,0xff,0xf8,0x3f,0x87,0xef,0xff,0xff,0xff,0xff,0xff,0xf8,0x18,0x3c,0xff,0xff,0xff,0xff,0xff,0xff,0xf8,0x03,0xc7,0xff,0xff,0xff,0xff,
0xff,0xff,0xf8,0x1c,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfa,0xcf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfc,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xfc,0x00,0x00,0x00,0x00,0x03,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x00,0x00,0x1f,
0xff,0xff,0xbf,0xff,0xff,0xfc,0x00,0x00,0x1f,0xff,0xfe,0xbf,0xff,0xff,0xfc,0x07,0xfc,0x1f,0xff,0xfe,0xbf,0x00,0x04,0x1c,0x07,0xf8,0x1f,
0xff,0xfe,0xbe,0x1e,0x0f,0x9c,0x01,0xf0,0x1f,0xff,0xfe,0xbe,0x7e,0x0f,0xdc,0x01,0xf0,0x1f,0xff,0xfe,0xbe,0xfe,0x0f,0xfc,0x01,0xe0,0x3f,
0xff,0xfe,0x9e,0xfe,0x0f,0xfc,0x01,0xe0,0x3f,0xff,0xfa,0x9f,0xfe,0x0f,0xfc,0x01,0xe0,0x3f,0xff,0xfe,0x9f,0xfe,0x0f,0xfc,0x01,0xe0,0x3f,
0xff,0xfe,0x9f,0xfe,0x0f,0xfc,0x03,0xe0,0x3f,0xff,0xfe,0x9f,0xfe,0x0f,0xfc,0x03,0xe0,0x3f,0xff,0xfe,0x9f,0xfe,0x0f,0xfc,0x03,0xe0,0x3f,
0xff,0xfe,0xdf,0xfe,0x0f,0xfc,0x03,0xe0,0x3f,0xff,0xff,0x5f,0xfe,0x0f,0xfc,0x03,0xe0,0x3f,0xff,0xff,0xdf,0xfe,0x0f,0xfc,0x03,0xe0,0x3f,
0xff,0xff,0x5f,0xfe,0x0f,0xfc,0x03,0xe0,0x7f,0xff,0xff,0x5f,0xfe,0x0f,0xfc,0x03,0xc0,0x7f,0xff,0xff,0x5f,0xfe,0x0f,0xfc,0x03,0xc0,0x7f,
0xff,0xff,0x5f,0xfe,0x0f,0xfc,0x03,0xc0,0x7f,0xff,0xff,0x5f,0xfe,0x0f,0xfc,0x03,0xe0,0x7f,0xff,0xfd,0x5f,0xfe,0x0f,0xfc,0x0f,0xc0,0x7f,
0xff,0xfd,0xcf,0xfe,0x0f,0xfc,0x00,0x00,0xff,0xff,0xfc,0xcf,0xfe,0x0f,0xfc,0x00,0xff,0xff,0xff,0xfe,0xcf,0xff,0xff,0xfc,0x7f,0xff,0xff,
0xff,0xfe,0xef,0xff,0xff,0xf7,0xff,0xff,0xff,0xff,0xfe,0xef,0xff,0xf0,0x07,0xfe,0x01,0xff,0xff,0xfe,0xff,0xf8,0x00,0x07,0x80,0x7b,0xff,
0xff,0xfe,0xfc,0x00,0x00,0x47,0x3c,0x7f,0xff,0xff,0xfe,0xf8,0x00,0xff,0xe7,0x7c,0x7f,0xff,0xff,0xfe,0xf8,0x03,0xc1,0xc7,0xf8,0x7f,0xff,
0xff,0xfe,0x78,0x0f,0x00,0xc7,0xf8,0x7f,0xff,0xff,0xfe,0x78,0x1e,0x00,0x47,0xf8,0x7f,0xff,0xff,0xfe,0x58,0x3e,0x00,0x07,0xf8,0x7f,0xff,
0xff,0xff,0x58,0x7c,0x00,0x07,0xf8,0x7f,0xff,0xff,0xff,0x58,0x7c,0x00,0x07,0xf8,0x7f,0xff,0xff,0xff,0x58,0xf8,0x00,0x07,0xf8,0x7f,0xff,
0xff,0xff,0xdc,0xf8,0x00,0x0f,0xf8,0x7f,0xff,0xff,0xff,0xfc,0xf8,0x00,0x07,0xf8,0x7f,0xff,0xff,0xff,0xfc,0xf8,0x00,0x0f,0xf8,0xff,0xff,
0xff,0xff,0xfc,0xf8,0x00,0x0f,0xf8,0xff,0xff,0xff,0xff,0xfc,0xfc,0x00,0x0f,0xf8,0x7f,0xff,0xff,0xff,0xfc,0xfc,0x00,0x0f,0xf3,0xff,0xff,
0xff,0xff,0xfc,0xfc,0x00,0x8f,0xff,0xff,0xff,0xff,0xff,0xfc,0x7e,0x01,0x0f,0xff,0xff,0xff,0xff,0xff,0xfc,0x7f,0x06,0x0f,0xff,0xff,0xff,
0xff,0xff,0xfc,0x1f,0xf8,0x1f,0xff,0xff,0xff,0xff,0xff,0xfc,0x07,0xc3,0xff,0xff,0xff,0xff,0xff,0xff,0xfc,0x00,0x3f,0xff,0xff,0xff,0xff,
0xff,0xff,0xfc,0x03,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfc,0x3f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xa0,0x00,0x01,0x7f,0xff,0xff,
0xff,0xf0,0xff,0xff,0xff,0xff,0xfc,0x01,0xff,0xff,0xff,0x00,0x00,0x0f,0xff,0xf0,0x01,0x1f,0xff,0xff,0xff,0xef,0xff,0xff,0xf7,0xff,0xff,
0xff,0x81,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x91,0xf7,0xff,0xff,0xf8,0x6f,0x3d,0xff,0xff,0xf1,0xfc,0xff,0x13,0xe1,0x6f,0xbb,0xdf,
0xff,0xf5,0xff,0xff,0x31,0xee,0x6f,0xfb,0xdf,0xff,0xf7,0x77,0xff,0x5f,0xfe,0x6f,0xff,0xdf,0xff,0xff,0x77,0xf7,0x7f,0xef,0x6f,0xff,0xff,
0xff,0xff,0x77,0xf7,0x3f,0xef,0x7f,0xff,0xff,0xff,0xef,0x7f,0xb7,0x7f,0xff,0xff,0xff,0xff,0xff,0xef,0x7f,0x57,0x7f,0xff,0xff,0xff,0xff,
0xff,0xef,0x7f,0x97,0xff,0xff,0xff,0xf7,0xff,0xff,0xef,0x7f,0xb7,0xff,0xff,0xff,0xb7,0xff,0xff,0xfb,0xcf,0x97,0xff,0xff,0xff,0xb7,0xff,
0xff,0xff,0xdf,0xa7,0xff,0xff,0xff,0xb7,0xbf,0xff,0xfb,0xef,0x07,0xff,0xff,0xff,0xb7,0xbf,0xff,0xfb,0xcf,0x8f,0xff,0xff,0xff,0xbf,0xbf,
0xff,0xef,0xe6,0x0f,0xff,0xff,0xff,0xfd,0xbf,0xff,0xf3,0xce,0x0f,0xff,0xff,0xff,0xfb,0xbf,0xff,0xc3,0xc6,0x8f,0xff,0xff,0xff,0xfe,0xff,
0xff,0xf3,0xee,0x0f,0xff,0xff,0xff,0xfc,0xff,0xff,0xdd,0xca,0x0f,0xff,0xff,0xdf,0xff,0x7f,0xff,0xfe,0x6a,0x0f,0xff,0xff,0xdf,0xf3,0xff,
0xff,0xe3,0xea,0x07,0xff,0xe7,0xdf,0x7f,0xff,0xff,0xe7,0x9c,0x87,0xfd,0xcf,0xdb,0xf8,0xff,0xff,0xc6,0xb5,0x87,0xf8,0xff,0x9f,0x9f,0xff,
0xff,0xc1,0x39,0x07,0xff,0xfb,0xdc,0xeb,0xff,0xff,0xd9,0x06,0x87,0xff,0xbf,0xf6,0xad,0xff,0xff,0xd9,0x5b,0x27,0xf9,0xfe,0xfb,0x9f,0xff,
0xff,0xf0,0xd2,0xdf,0x9f,0xc1,0xfb,0xbf,0xff,0xff,0xe0,0xc9,0x75,0xfe,0xc3,0xff,0x9f,0xff,0xff,0xe0,0x3e,0xdf,0xff,0x7d,0xf7,0x3f,0xff,
0xff,0xf4,0x3e,0x2f,0xfe,0xfe,0xff,0xbf,0xff,0xff,0xf4,0x3c,0xff,0xfd,0xfe,0xff,0xbf,0xff,0xff,0xfc,0x3e,0xdf,0xed,0xff,0xff,0xbf,0xff,
0xff,0xe8,0x1e,0x7f,0xdb,0xfd,0xff,0x3f,0xff,0xff,0xfe,0x1e,0x7f,0xfb,0xfe,0xbf,0xbf,0xff,0xff,0xf9,0xdc,0x6f,0xbf,0xfb,0xbe,0x1f,0xff,
0xff,0xf8,0x5e,0x7d,0xff,0xfd,0xbe,0x1f,0xff,0xff,0xfe,0xdc,0x7f,0x7f,0xfe,0xbe,0x4f,0xff,0xff,0xfe,0xde,0xfd,0x7f,0xfb,0xbf,0xdf,0xff,
0xff,0xff,0xde,0xfd,0xff,0xff,0xbc,0xff,0xff,0xff,0xff,0xde,0xfd,0xff,0xff,0xbf,0xff,0xff,0xff,0xff,0xfc,0xfd,0x7f,0xfd,0xbf,0xff,0xff,
0xff,0xff,0xfe,0xfd,0x7b,0xfb,0xbf,0xff,0xff,0xff,0xff,0xfc,0x7d,0x7f,0xf7,0xff,0xff,0xff,0xff,0xff,0xfe,0xfd,0xfd,0xce,0xff,0xff,0xff,
0xff,0xff,0xff,0x3d,0x9f,0x9b,0xff,0xff,0xff,0xff,0xff,0xff,0xbd,0xe6,0x4f,0xff,0xff,0xff,0xff,0xff,0xff,0xfd,0xff,0x3f,0xff,0xff,0xff,
0xff,0xff,0xff,0xfd,0xfd,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfd,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfd,0xdf,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0x00,0x00,0x00,0x00,0x03,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0xff,0xff,0xff,0x00,0x1f,0xff,0xff,0xf8,0x00,0x1f,
0xff,0xff,0x00,0x0f,0xff,0xff,0xf0,0x00,0x1f,0xff,0xef,0x08,0x0f,0xff,0xff,0xf0,0xfe,0x1f,0xff,0xef,0x0f,0x0f,0xec,0x1e,0xf0,0x7c,0x3f,
0xff,0xef,0x0e,0x0f,0xce,0x1f,0xf0,0x3c,0x3f,0xff,0xef,0x8e,0x0f,0xbe,0x1f,0xf0,0x38,0x3f,0xff,0xe7,0x8e,0x0f,0xbe,0x1f,0xf0,0x38,0x3f,
0xff,0xe7,0x8e,0x0f,0xfe,0x1f,0xe0,0x38,0x3f,0xff,0xf7,0x86,0x0f,0xfe,0x1f,0xe0,0x38,0x3f,0xff,0xf7,0x86,0x0f,0xfe,0x1f,0xe0,0x38,0x3f,
0xff,0xf7,0x86,0x0f,0xfe,0x1f,0xe0,0x38,0x3f,0xff,0xf7,0x86,0x0f,0xfe,0x1f,0xe0,0x78,0x3f,0xff,0xf7,0x86,0x0f,0xfe,0x1f,0xe0,0x78,0x3f,
0xff,0xf7,0x86,0x0f,0xfe,0x1f,0xe0,0x78,0x7f,0xff,0xf7,0x86,0x0f,0xfe,0x1f,0xe0,0x78,0x7f,0xff,0xf7,0x86,0x07,0xfe,0x1f,0xe0,0x70,0x7f,
0xff,0xf3,0x87,0x07,0xfe,0x1f,0xe0,0x70,0x7f,0xff,0xff,0x87,0x07,0xfe,0x1f,0xe0,0x70,0x7f,0xff,0xff,0x87,0x07,0xfe,0x1f,0xe0,0x70,0x7f,
0xff,0xcf,0x87,0x07,0xfe,0x1f,0xe0,0x70,0x7f,0xff,0xc3,0x87,0x07,0xfe,0x1f,0xe0,0x00,0xff,0xff,0xc1,0x87,0x07,0xfe,0x1f,0xe0,0x0f,0xff,
0xff,0xdc,0x07,0x07,0xfe,0x1f,0xe0,0xff,0xff,0xff,0xd8,0x63,0x07,0xfe,0x3f,0xe7,0xff,0xff,0xff,0xf9,0x78,0x07,0xff,0xff,0xff,0xe1,0xff,
0xff,0xf8,0xfe,0x07,0xff,0xfc,0x3f,0x1d,0xff,0xff,0xf0,0xff,0x07,0xff,0xc0,0x39,0x1f,0xff,0xff,0xf0,0xa7,0xc7,0xfe,0x01,0x37,0x1f,0xff,
0xff,0xf8,0x2d,0xe7,0xe0,0x3f,0x37,0x1f,0xff,0xff,0xf8,0x3c,0xfe,0x01,0xff,0x37,0x1f,0xff,0xff,0xf8,0x3c,0x3c,0x03,0x83,0x3f,0x1f,0xff,
0xff,0xe8,0x3c,0xdc,0x07,0x01,0x3f,0x1f,0xff,0xff,0xe8,0x3c,0xcc,0x0e,0x01,0x3f,0x1f,0xff,0xff,0xe0,0x3c,0xec,0x1e,0x00,0x3f,0x1f,0xff,
0xff,0xf4,0x3c,0xec,0x3c,0x00,0x3f,0x1f,0xff,0xff,0xf0,0x3c,0xec,0x3c,0x00,0x7f,0x1f,0xff,0xff,0xfe,0x3c,0xfc,0x78,0x00,0x7f,0x3f,0xff,
0xff,0xff,0xbc,0xfe,0x78,0x00,0x7f,0x3f,0xff,0xff,0xff,0x3c,0xfc,0xf8,0x00,0x7f,0x3f,0xff,0xff,0xff,0x3c,0x7e,0xf8,0x00,0x7e,0x3f,0xff,
0xff,0xff,0xbc,0x7e,0xf8,0x00,0x7f,0xff,0xff,0xff,0xff,0xfc,0x7e,0xf8,0x00,0x7f,0xff,0xff,0xff,0xff,0xfe,0x7e,0xf8,0x02,0x7f,0xff,0xff,
0xff,0xff,0xfc,0x7e,0xfc,0x04,0x7f,0xff,0xff,0xff,0xff,0xfe,0x7e,0xfc,0x08,0x7f,0xff,0xff,0xff,0xff,0xff,0x7e,0x7e,0x31,0xff,0xff,0xff,
0xff,0xff,0xff,0xfe,0x7f,0xe7,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x1f,0xbf,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x00,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xfe,0x03,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0x3f,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0xc0,0x00,0x0a,0xbf,0xff,0xff,
0xff,0x60,0x3f,0xff,0xff,0xff,0xf8,0x00,0x7f,0xff,0xff,0xe0,0x00,0x00,0x0f,0xff,0x00,0x7f,0xff,0xff,0xef,0xff,0xf9,0xff,0xfe,0xff,0x7f,
0xfe,0x03,0xeb,0xbf,0x7f,0xff,0xfe,0xe3,0xff,0xff,0x19,0xef,0xff,0xeb,0xff,0x82,0xfb,0x7f,0xfe,0xda,0xef,0x80,0x63,0xe0,0x82,0xfb,0x7f,
0xfe,0xdb,0x2d,0x5e,0xbb,0xf1,0xb2,0xff,0x7f,0xff,0xdb,0xb8,0x3f,0x03,0xef,0xfa,0xff,0x7f,0xff,0xfb,0xbf,0xbd,0x03,0xcf,0xbf,0xff,0x7f,
0xff,0xfb,0xf8,0x7d,0x03,0xdf,0xff,0xff,0xff,0xff,0xfb,0xf8,0x3d,0x03,0xff,0xbf,0xff,0xff,0xff,0xff,0xf8,0x3d,0x03,0xff,0xff,0xff,0xff,
0xff,0xff,0xf8,0x3d,0x03,0xff,0xff,0xf7,0xff,0xff,0xff,0xf8,0x3d,0x01,0xff,0xbf,0xf7,0xff,0xff,0xff,0xf8,0x3d,0x03,0xff,0xbd,0xd7,0xff,
0xff,0xef,0xf8,0x1d,0x01,0xff,0xbd,0xd6,0xff,0xff,0xef,0xf8,0x3d,0x01,0xff,0xbd,0xde,0xff,0xff,0xef,0xf8,0x1d,0x01,0xff,0xbd,0xde,0xff,
0xff,0xef,0xf8,0x1c,0x01,0xfd,0xbd,0xde,0xff,0xff,0xed,0xf8,0x1c,0x01,0xfd,0xbd,0xff,0xff,0xff,0xcd,0xf8,0x1c,0x01,0xfd,0xbf,0xcd,0xff,
0xff,0xf1,0xf0,0x1c,0x01,0xfd,0xff,0xf3,0xff,0xfe,0x9f,0xf0,0x1e,0x01,0xfd,0xbf,0xcb,0xff,0xfe,0xfb,0xf0,0x1e,0x01,0xfd,0xbf,0x3b,0xff,
0xfe,0xbf,0x70,0x7e,0x01,0xfd,0xbd,0xcf,0xff,0xfe,0xb3,0xe4,0x6f,0x01,0xfc,0xf3,0xb3,0xff,0xfe,0xd9,0xed,0x0c,0x81,0xfb,0xda,0xab,0xff,
0xff,0xf7,0x5f,0xa1,0x81,0xff,0x7f,0x2f,0xff,0xff,0xb8,0xff,0xf6,0x01,0xfd,0xfa,0xaf,0xff,0xff,0xb8,0xbe,0xff,0x01,0xf7,0x0a,0xbf,0xff,
0xff,0x70,0x4f,0xcf,0xd9,0xde,0x1b,0xff,0xff,0xff,0x70,0x3f,0xbb,0xfd,0x7c,0xeb,0xff,0xff,0xff,0x38,0x07,0xf1,0x7f,0xf9,0xff,0xff,0xff,
0xff,0x38,0x06,0xe1,0xef,0xf5,0xfb,0xff,0xff,0xff,0x78,0x07,0xe0,0xaf,0xff,0xef,0xff,0xff,0xff,0x58,0x07,0xe0,0xdf,0xeb,0xef,0xff,0xff,
0xff,0xf0,0x07,0xe0,0xff,0xff,0xcf,0xff,0xff,0xff,0xec,0x07,0xe0,0xff,0xdf,0x8f,0xff,0xff,0xff,0xd4,0x03,0xf0,0xf7,0xf7,0xef,0x5f,0xff,
0xff,0x9a,0x03,0xf0,0xff,0xf7,0x8f,0x3f,0xff,0xff,0xd9,0x73,0xf0,0xff,0xb7,0xff,0x7f,0xff,0xff,0xf6,0x13,0xf0,0xff,0xb7,0x9f,0xff,0xff,
0xff,0xfd,0xe3,0xf0,0xff,0xf7,0xf7,0xff,0xff,0xff,0xff,0x43,0xf0,0xff,0x77,0x57,0xff,0xff,0xff,0xff,0x97,0xf0,0xff,0xf7,0xf7,0xff,0xff,
0xff,0xff,0xe3,0xf0,0xff,0x7f,0xef,0xff,0xff,0xff,0xff,0xff,0xe0,0xff,0xba,0x5f,0xff,0xff,0xff,0xff,0xff,0xf1,0xff,0xbc,0x3f,0xff,0xff,
0xff,0xff,0xff,0xf1,0xff,0xd8,0x7f,0xff,0xff,0xff,0xff,0xff,0xfd,0xff,0xed,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x7f,0xfb,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xbf,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0xff,0xff,0xc0,0x00,0x00,0x00,0x07,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf0,0x00,0x07,0xff,0xff,0x00,0xff,
0xff,0xff,0xf0,0x00,0x01,0xff,0xff,0x1c,0x7f,0xfe,0xe6,0x70,0x00,0x01,0xff,0xff,0x1c,0xff,0xff,0xe7,0x70,0x7f,0x81,0xff,0x7f,0x1c,0xff,
0xff,0xe7,0xf0,0x3f,0x01,0xee,0x7f,0x18,0xff,0xff,0xe7,0xf0,0x1e,0x01,0xfe,0x3f,0x18,0xff,0xff,0xe7,0xf0,0x1e,0x01,0xfe,0x7e,0x18,0xff,
0xff,0xe7,0xf0,0x1e,0x01,0xfe,0x3e,0x18,0xff,0xff,0xe7,0xf0,0x1e,0x01,0xfe,0x7e,0x18,0xff,0xff,0xe3,0xf0,0x1e,0x01,0xfe,0x3e,0x18,0xff,
0xff,0xe3,0xf0,0x1e,0x01,0xfe,0x3e,0x18,0xff,0xff,0xe3,0xf0,0x1e,0x01,0xfe,0x7e,0x18,0xff,0xff,0xe3,0xf0,0x1e,0x01,0xfe,0x7e,0x38,0xff,
0xff,0xf3,0xf0,0x1e,0x01,0xfe,0x7e,0x39,0xff,0xff,0xf3,0xf0,0x1e,0x01,0xfe,0x7e,0x31,0xff,0xff,0xf3,0xf0,0x1e,0x01,0xfe,0x7e,0x31,0xff,
0xff,0xf3,0xf0,0x1e,0x01,0xfe,0x7e,0x31,0xff,0xff,0xf3,0xf0,0x1e,0x01,0xfe,0x7e,0x31,0xff,0xff,0xf3,0xf0,0x1e,0x01,0xfe,0x7c,0x33,0xff,
0xff,0xff,0xf8,0x1e,0x01,0xfe,0x7c,0x0f,0xff,0xff,0x7f,0xf8,0x1e,0x01,0xfe,0x7c,0x3f,0xff,0xff,0x07,0xf8,0x1e,0x01,0xfe,0x7c,0xff,0xff,
0xff,0x00,0xf8,0x1e,0x01,0xfe,0x7f,0xf3,0xff,0xff,0x0c,0x18,0x1e,0x01,0xff,0xff,0xcf,0xff,0xff,0x3e,0x06,0x03,0x01,0xff,0xe7,0x5f,0xff,
0xff,0x38,0xa7,0xc0,0x01,0xff,0x82,0xdf,0xff,0xff,0x70,0x67,0xf8,0x01,0xfe,0x07,0xdf,0xff,0xff,0x70,0x67,0xff,0x81,0xf8,0xf7,0xdf,0xff,
0xff,0xf0,0x26,0x3f,0xe1,0xe1,0xf7,0x9f,0xff,0xff,0xf0,0x06,0x47,0xff,0x83,0x17,0x9f,0xff,0xff,0xf0,0x06,0xe0,0xff,0x06,0x07,0x9f,0xff,
0xff,0xf0,0x07,0xf0,0x1f,0x0e,0x07,0x9f,0xff,0xff,0xb0,0x07,0xf1,0xc7,0x0c,0x07,0x9f,0xff,0xff,0xb0,0x07,0xf1,0xe7,0x1c,0x07,0x9f,0xff,
0xff,0x98,0x07,0xf1,0xe7,0x18,0x07,0x9f,0xff,0xff,0x98,0x07,0xf1,0xf7,0x38,0x07,0x9f,0xff,0xff,0x88,0x07,0xf1,0xff,0x38,0x07,0xbf,0xff,
0xff,0xc4,0x07,0xf1,0xff,0x38,0x07,0xff,0xff,0xff,0xe6,0x07,0xf1,0xff,0x78,0x07,0xff,0xff,0xff,0xf9,0xe7,0xf1,0xff,0x78,0x07,0xff,0xff,
0xff,0xfe,0x07,0xf1,0xff,0x78,0x0f,0xff,0xff,0xff,0xff,0x87,0xf1,0xff,0xf8,0x2f,0xff,0xff,0xff,0xff,0xe3,0xf1,0xff,0x78,0x0f,0xff,0xff,
0xff,0xff,0xff,0xf1,0xff,0xf8,0x1f,0xff,0xff,0xff,0xff,0xff,0xf1,0xff,0x7d,0xbf,0xff,0xff,0xff,0xff,0xff,0xe0,0xff,0x7f,0xff,0xff,0xff,
0xff,0xff,0xff,0xf8,0xff,0x3f,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,0xff,0x13,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x07,0xff,0xff,0xff,
0xff,0xff,0xff,0xff,0xff,0x0f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x1f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x7f,0xff,0xff,0xff};


/*===========================================================================*/
/* simple wait routine                                                       */
/*===========================================================================*/
asm("xdef __waitms
__waitms:  movem.l %d0-%d3,-(%sp)
           move.w (20,%sp),%d2
           move.l #31,%d1
           move.l #31,%d3
_wl2_:     move.w #120,%d0    /* modify this value for exact timing !!! */
_wl1_:     rol.l  %d3,%d1
           dbra   %d0,_wl1_
           dbra   %d2,_wl2_
           movem.l (%sp)+,%d0-%d3
           rts");

#define WaitForMillis __waitms
void WaitForMillis(unsigned short);

#ifdef __STANDALONE__
short _ti89;
short _ti92plus;
#endif

/*===========================================================================*/
/*                                                                           */
/*===========================================================================*/
#ifdef __STANDALONE__
void _main() {
#else
void SplashScreen(unsigned char* text) {
#endif
    short offset  = (TI89) ? 5+40*15:11+68*15;
    short active_screen = 0;
    short line;

#ifdef __STANDALONE__
    char* text = "TiCT 2001";
#endif

    if (!GrayMode(GRAY_ON)) return;

    memset(GetPlane(0),0xff,LCD_SIZE);
    memset(GetPlane(1),0xff,LCD_SIZE);

    FontSetSys(F_6x8);
    for (line=0;line<2;line++) {
        SetPlane(line);
        DrawStrXY((LCD_WIDTH-DrawStrWidth(text,F_6x8))/2,LCD_HEIGHT-10,text,A_REVERSE);
    }

    do {
         unsigned char* src1 = &data[active_screen*ANIM_WIDTH/8*ANIM_HEIGHT*2];
         unsigned char* src2 = src1+ANIM_WIDTH/8*ANIM_HEIGHT;
         unsigned char* dest1 = GetPlane(0)+offset;
         unsigned char* dest2 = GetPlane(1)+offset;
         for (line=0;line<ANIM_HEIGHT;line++,dest1+=21,dest2+=21) {
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
             *dest1++=*src1++,*dest2++=*src2++;
         }
         active_screen++;
         if (active_screen>5) active_screen=0;
         WaitForMillis(500);
    }
    while (!kbhit());
    ngetchx();

    GrayMode(GRAY_OFF);
}

//#############################################################################
// Revision History
//#############################################################################
//
// $Log: logo.c,v $
// Revision 1.2  2002/11/18 10:22:26  nussbaumer
// generic commit
//
//
